/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * list of merge checks.
 */
export interface MergeCheckCollection {
    /**
     * List of pullRequest mergeCheck objects.
     *  Example: {\"items\": [{ \"type\" : \"CONFLICT(ENUM values)\",
     *                                    \"status\" : \"FAILED(ENUM values)\"},
     *                                 {\"type\": \"APPROVAL_RULE(ENUM VALUE)\",
     *                                   \"ruleName\": \"rule 1\",
     *                                   \"status\" : \"NEEDS_APPROVAL(ENUM values)\",
     *                                   \"totalApprovalCount\":\"5\",
     *                                   \"currentApprovalCount\":\"1\",
     *                                   \"reviewers\":[<Reviewer OCID>],
     *                                   \"level\": \"PROJECT/REPOSITORY(ENUM values)\"},
     *                                 {\"type\": \"APPROVAL_RULE(ENUM VALUE)\",
     *                                   \"ruleName\": \"rule 2\",
     *                                 \"status\" : \"SUCCEEDED(ENUM values)\",
     *                                 \"totalApprovalCount\":\"5\",
     *                                 \"currentApprovalCount\":\"5\",
     *                                 \"reviewers\":[<Reviewer OCID>],
     *                                 \"level\": \"PROJECT/REPOSITORY(ENUM values)\"} ,
     *                                 {\"type\": \"BUILD(ENUM VALUE)\",
     *                                  \"pipelineId\": \"PipelineOCID\",
     *                                  \"buildRunId\": \"BuildRunOCID\",
     *                                  \"status\" : \"SUCCEEDED/PENDING/FAIlED/IN-PROGRESS(ENUM values)\"}
     * ]}
     */
    "items"?: Array<model.MergeCheck>;
    /**
     * The time Stamp of the validation check.
     */
    "timeValidated"?: Date;
}
export declare namespace MergeCheckCollection {
    function getJsonObj(obj: MergeCheckCollection): object;
    function getDeserializedJsonObj(obj: MergeCheckCollection): object;
}
