/**
 *
 *
 * OpenAPI spec version: 20210610
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/latest/jms/ListJmsPlugins.ts.html |here} to see how to use ListJmsPluginsRequest.
 */
export interface ListJmsPluginsRequest extends common.BaseRequest {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the compartment in which to list resources.
     *
     */
    "compartmentId"?: string;
    /**
     * Flag to determine whether the info should be gathered only in the compartment or in the compartment and its subcompartments.
     *
     */
    "compartmentIdInSubtree"?: boolean;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the JmsPlugin.
     */
    "id"?: string;
    /**
     * The ID of the Fleet.
     */
    "fleetId"?: string;
    /**
     * The ManagementAgent (OMA) or Instance (OCA) [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) that identifies the Agent.
     */
    "agentId"?: string;
    /**
     * Filter JmsPlugin with its lifecycle state.
     */
    "lifecycleState"?: model.JmsPluginLifecycleState;
    /**
     * Filter JmsPlugin with its availability status.
     */
    "availabilityStatus"?: model.JmsPluginAvailabilityStatus;
    /**
     * If present, only plugins with a registration time before this parameter are searched (formatted according to [RFC3339](https://datatracker.ietf.org/doc/html/rfc3339)).
     */
    "timeRegisteredLessThanOrEqualTo"?: Date;
    /**
     * If present, only plugins with a last seen time before this parameter are searched (formatted according to [RFC3339](https://datatracker.ietf.org/doc/html/rfc3339)).
     */
    "timeLastSeenLessThanOrEqualTo"?: Date;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * The page token representing the page at which to start retrieving results. The token is usually retrieved from a previous list call.
     */
    "page"?: string;
    /**
     * The sort order, either 'asc' or 'desc'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The field to sort JmsPlugin. Only one sort order may be provided.
     * Default order is **descending**.
     * If no value is specified _timeLastSeen_ is default.
     *
     */
    "sortBy"?: model.JmsPluginSortBy;
    /**
     * Filter the list with hostname contains the given value.
     *
     */
    "hostnameContains"?: string;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
}
